JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.XSetWindowAttributes

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XSetWindowAttributes

Enclosing interface:
  X11

    public static class X11.XSetWindowAttributes

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`NativeLong` | `background_pixel`
`X11.Pixmap` | `background_pixmap`
`NativeLong` | `backing_pixel`
`NativeLong` | `backing_planes`
`int` | `backing_store`
`int` | `bit_gravity`
`NativeLong` | `border_pixel`
`X11.Pixmap` | `border_pixmap`
`X11.Colormap` | `colormap`
`X11.Cursor` | `cursor`
`NativeLong` | `do_not_propagate_mask`
`NativeLong` | `event_mask`
`boolean` | `override_redirect`
`boolean` | `save_under`
`int` | `win_gravity`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XSetWindowAttributes()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### background_pixmap

    public X11.Pixmap background_pixmap

### background_pixel

    public NativeLong background_pixel

### border_pixmap

    public X11.Pixmap border_pixmap

### border_pixel

    public NativeLong border_pixel

### bit_gravity

    public int bit_gravity

### win_gravity

    public int win_gravity

### backing_store

    public int backing_store

### backing_planes

    public NativeLong backing_planes

### backing_pixel

    public NativeLong backing_pixel

### save_under

    public boolean save_under

### event_mask

    public NativeLong event_mask

### do_not_propagate_mask

    public NativeLong do_not_propagate_mask

### override_redirect

    public boolean override_redirect

### colormap

    public X11.Colormap colormap

### cursor

    public X11.Cursor cursor

Constructor Detail

### X11.XSetWindowAttributes

    public X11.XSetWindowAttributes()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.